<nav class="navbar navbar-expand-lg navbar-light bg-light">
    <div class="container">
        <a class="navbar-brand" routerLink='/members'>PYFA</a>
        <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarColor01"
            aria-controls="navbarColor01" aria-expanded="false" aria-label="Toggle navigation">
            <span class="navbar-toggler-icon"></span>
        </button>
        <div class="collapse navbar-collapse" id="navbarColor01">
            <ul class="navbar-nav mr-auto">
                <ng-container>
                    <li class="nav-item">
                        <a class="nav-link" routerLink='/members' routerLinkActive='active'>User Management</a>
                    </li>
                    <li class="nav-item">
                        <a class="nav-link" routerLink='/lists' routerLinkActive='active'>Menu-1</a>
                    </li>
                    <li class="nav-item">
                        <a class="nav-link" routerLink='/messages' routerLinkActive='active'>Menu-2</a>
                    </li>
                </ng-container>
                <!-- <li class="nav-item">
                    <a class="nav-link" routerLink="/errors" routerLinkActive='active'>Error</a>
                </li> -->
            </ul>

            <div *ngIf="(currentUser$| async) as user" class="dropdown" dropdown>
                <a class="dropdown-toggle text-dark" dropdownToggle>Welcome {{user.username | titlecase}}</a>
                <div class="dropdown-menu mt-3" *dropdownMenu>
                    <a class="dropdown-item">Edit Profile</a>
                    <div class="dropdown-divider"></div>
                    <a class="dropdown-item" (click)="logout()">Logout</a>
                </div>
            </div>

            <form class="form-inline" *ngIf="!(currentUser$ | async)" #loginForm="ngForm" (ngSubmit)="login()"
                autocomplete="off">
                <input name="username" [(ngModel)]="model.username" class="form-control mr-sm-2" type="text"
                    placeholder="Username" aria-label="Username">
                <input name="password" [(ngModel)]="model.password" class="form-control mr-sm-2" type="password"
                    placeholder="Password" aria-label="Passord">
                <button class="btn btn-outline-info btn-sm my-2 my-sm-0" type="submit">Login</button>
            </form>
        </div>
    </div>
</nav>